Subject: [I2nsf] Closing the WG adoption for the revised draft-kumar-i2nsf-client-facing-interface-req-02.txt

From: Linda Dunbar <[email-masked]>
Date: Fri, 28 Oct 2016 19:33:35 +0000

Dear I2NSF Participants:

The authors have made changes to address the comments raised during the WG adoption process. Please see the https://tools.ietf.org/html/draft-kumar-i2nsf-client-facing-interface-req-02

Given that there was good support for this work we will adopt this document. Remember, adopting the draft as WG draft only means that the WG agrees to work on the draft, improving it and enhancing it. It doesn't mean the draft is in perfect shape. Hope the WG will continue contributing to the content and make it more complete. 

Authors, please re-post the document as
draft-ietf-i2nsf-client-facing-interface-req-00 with no other changes. 

All, please continue to discuss this document and work with the authors to make sure it reflects what the WG thinks.

Thanks, 

Linda & Adrian 

-----Original Message-----
From: Linda Dunbar 
Sent: 2016年10月14日 17:37
To: [email-masked]
Subject: with regarding to WG adoption for the revised draft-kumar-i2nsf-client-facing-interface-req-01.txt

I2NSF participants:

The authors of draft-kumar-i2nsf-client-facing-interface-req have made an update aiming to address the comments made during the poll for WG adoption. Can you all please check that your comments were addressed and that we're ready to move ahead?

Thank you very much. 

Linda 

-----Original Message-----
From: Rakesh Kumar [mailto:[email-masked]] 
Sent: Friday, October 14, 2016 12:25 PM
To: Youjianjie <[email-masked]>
Cc: Adrian Farrel <[email-masked]>; Linda Dunbar <[email-masked]>; Rakesh Kumar <[email-masked]>
Subject: Re: 答复: New Version Notification for draft-kumar-i2nsf-client-facing-interface-req-01.txt

Hi Jianjie and WG chairs,

The “user-group” requirement is there from day one in the draft (version 00 had it). We have mentioned this earlier that the requirement draft is a superset of all the requirements (including user-group defined in your draft). Please see the attached email.

In my opinion, I don’t think it is a good idea to have one draft per requirement (it would be too fragmented and cumbersome for developer). 
I propose to have set of draft for client interfaces as following: 

1. One single draft that captures set of requirements → we published one, we can add more requirements in that if anything missing.
2. One single draft that takes requirements and propose an informational model. We are working on it.
3. One single draft that proposes a YANG data model for the information model.

If we agree, then we should find a way to merge different ideas.

Thanks
Rakesh

On 10/13/16, 11:05 PM, "Youjianjie" <[email-masked]> wrote:

    Hi Rakesh,
    
    I saw the draft also mentions user group and related policies. We already defined them in : 
    https://tools.ietf.org/html/draft-you-i2nsf-user-group-based-policy-02 
    Maybe it’s better to keep them aligned. 
    
    Thanks,
    Jianjie
    
    > -----邮件原件-----
    > 发件人: I2nsf [mailto:[email-masked]] 代表 Rakesh Kumar
    > 发送时间: 2016年10月10日 11:37
    > 收件人: [email-masked]; Anil Lohiya; Xialiang (Frank); Nabil Bitar;
    > [email-masked]; Dave Qi; Senad Palislamovic
    > 抄送: [email-masked]
    > 主题: Re: [I2nsf] New Version Notification for
    > draft-kumar-i2nsf-client-facing-interface-req-01.txt
    > 
    > Hi all,
    > 
    > The authors updated the draft with -01 revision that includes changes made as
    > per comments from the I2NSF working group members.
    > 
    > Regards,
    > Rakesh
    > 
    > On 10/9/16, 8:32 PM, "[email-masked]" <[email-masked]>
    > wrote:
    > 
    > 
    >     A new version of I-D, draft-kumar-i2nsf-client-facing-interface-req-01.txt
    >     has been successfully submitted by Rakesh Kumar and posted to the
    >     IETF repository.
    > 
    >     Name:		draft-kumar-i2nsf-client-facing-interface-req
    >     Revision:	01
    >     Title:		Requirements for Client-Facing Interface to Security
    > Controller
    >     Document date:	2016-10-09
    >     Group:		i2nsf
    >     Pages:		22
    >     URL:
    > https://www.ietf.org/internet-drafts/draft-kumar-i2nsf-client-facing-interface-r
    > eq-01.txt
    >     Status:
    > https://datatracker.ietf.org/doc/draft-kumar-i2nsf-client-facing-interface-req/
    >     Htmlized:
    > https://tools.ietf.org/html/draft-kumar-i2nsf-client-facing-interface-req-01
    >     Diff:
    > https://www.ietf.org/rfcdiff?url2=draft-kumar-i2nsf-client-facing-interface-req-
    > 01
    > 
    >     Abstract:
    >        This document captures the requirements for the client-facing
    >        interface to security controller.  The interfaces are based on user-
    >        intent instead of developer-specific or device-centric approaches
    >        that would require deep knowledge of specific products and their
    >        security features.  The document identifies the requirements needed
    >        to enforce the user-intent based policies onto network security
    >        functions (NSFs) irrespective of how those functions are realized.
    >        The function may be physical or virtual in nature and may be
    >        implemented in networking or dedicated appliances.
    > 
    > 
    > 
    > 
    >     Please note that it may take a couple of minutes from the time of
    > submission
    >     until the htmlized version and diff are available at tools.ietf.org.
    > 
    >     The IETF Secretariat
    > 
    > 
    > 
    > _______________________________________________
    > I2nsf mailing list
    > [email-masked]
    > https://www.ietf.org/mailman/listinfo/i2nsf